#version 150

#include "/include.glsl"

in vec3 vaPosition;
in vec2 vaUV0;

out vec2 texCoord;

vec3 distortPos(vec3 pos) {
    pos.xy = pos.xy * 2.0 - 1.0;
    pos.xy /= length(pos.xy);
    pos.xy = pos.xy * 0.5 + 0.5;
    return pos;
}

void main() {
    texCoord = vaUV0;
    gl_Position = projectionMatrix * (modelViewMatrix * vec4((vaPosition), 1));
}