#version 120

uniform float frameTimeCounter;
uniform vec3 cameraPosition;
uniform mat4 gbufferModelViewInverse;
uniform mat4 modelViewMatrix;
uniform mat4 gbufferProjection;
uniform mat4 gbufferModelView;

varying vec2 texcoord;
varying vec4 glcolor;
varying vec3 normal;

void main() {
    gl_Position = ftransform();
	// normal = normal

	texcoord = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
	glcolor = gl_Color;
}